Name:           plug
Version:        1.1
Release:        6%{?dist}
Summary:        Linux software for Fender Mustang amplifiers
Group:          Applications/System

License:        GPLv3+
Url:            http://piorekf.org/plug/
# The tarball has a rather unconventional name - v1.1.tar.gz
Source0:        https://bitbucket.org/piorekf/plug/get/v%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        plug-udev-rules

# This patch adds support for firmware updates for the Mustang III, IV
# and V models. Sent upstream 10th Sept 2012.
Patch0:         plug-1.1-mustang345-update.patch

BuildRequires:  pkgconfig(Qt)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  desktop-file-utils


%description
Linux replacement for Fender FUSE software for Mustang amps.


%prep
# The way this tarball is packed up is rather unconventional!
%setup -q -n piorekf-plug-dabe5689fea6/plug

%patch0 -p0 -b .mustang345

%build
qmake-qt4 QMAKE_CFLAGS="%{optflags}" \
          QMAKE_CXXFLAGS="%{optflags}" \
          QMAKE_STRIP=echo
make %{?_smp_mflags}

%install
install -D -m 755 %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

# Install desktop file
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    %{SOURCE1}

# Install udev rules
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_usr}/lib/udev/rules.d/50-mustang.rules

%files
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_usr}/lib/udev/rules.d/50-mustang.rules

%changelog
* Tue Oct 16 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-6
- Change udev rules to be systemd conformant (See BZ 856002 comment 6)
- No longer created the plugdev group
- Drop unneeded README.Fedora file

* Sun Sep 30 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-5
- Change Group to Applications/System
- Untabify spec file
- Fix Source URL

* Sun Sep 23 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-4
- Remove BuildRequires for gcc-c++
- Use pkgconfig style BuildRequires for qt-devel

* Mon Sep 10 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-3
- Add patch to allow updating of firmware for Mustang III, IV, V models

* Sun Sep  9 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-2
- Add udev rules
- Add creation of group "plugdev" on package install
- Add README.Fedora file

* Sun Sep  9 2012 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 1.1-1
- Initial package

